Resource Center/Network Resource/L3 Network Operations
POSTL3 Network OperationsSince 2.3SynchronousAuth Required
AddHostRouteToL3Network
AddHostRouteToL3Network
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
l3NetworkUuidStringRequiredThe L3 network UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
prefixStringRequiredNo description provided.
nexthopStringRequiredNo description provided.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/l3-networks/{l3NetworkUuid}/hostroute
/zstack/v1/l3-networks/{l3NetworkUuid}/hostroute
Request Example
curl -X POST 'http://{host}/zstack/v1/l3-networks/{l3NetworkUuid}/hostroute' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"prefix":"<prefix>","nexthop":"<nexthop>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "Test-L3Network", "l2NetworkUuid": "7dfdf976ef1334fba5c3b475104011b2", "dns": [ "8.8.8.8" ], "hostRoute": [ { "prefix": "169.254.169.254/32", "nexthop": "192.168.1.254" } ] } }Change History
This API has no change history records yet.
